Package jebl.evolution.characters

# Class ContinuousCharacter

java.lang.Object
jebl.evolution.characters.ContinuousCharacter

All Implemented Interfaces:
  `Character`

public class ContinuousCharacter extends Object implements Character

Author:
  Stephen A. Smith

## Constructor Summary

Constructors
Constructor
Description
`ContinuousCharacter(String name, String desc)`
Constructs a basic ContinuousCharacter object with no taxa added yet
`ContinuousCharacter(String name, String desc, Set<Taxon> taxa)`
Constructs a basic ContinuousCharacter object with taxa added

## Method Summary

Modifier and Type
Method
Description
`void`
`addTaxa(Set<Taxon> taxa)`
set the taxa for this character with a previously constructed Set<Taxon>
`void`
`addTaxon(Taxon taxon)`
add a taxon with this character
`String`
`getDesc()`
return the description of the character
`String`
`getName()`
return the name of the character
`double`
`getSE(Taxon taxon)`
`Set<Taxon>`
`getTaxa()`
get a Set<Taxon> of all the taxa for this character
`CharacterType`
`getType()`
return the CharacterType of the character
`Object`
`getValue(Taxon taxon)`
get a value for a taxon containing the character
`void`
`setDesc(String desc)`
set the description of the character
`void`
`setName(String name)`
set the name of the character

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContinuousCharacter

public ContinuousCharacter(String name, String desc)
Constructs a basic ContinuousCharacter object with no taxa added yet

Parameters:
  `name` - the name of the character
  `desc` - the description of the character

### ContinuousCharacter

public ContinuousCharacter(String name, String desc, Set<Taxon> taxa)
Constructs a basic ContinuousCharacter object with taxa added

Parameters:
  `name` - the name of the character
  `desc` - the description of the character
  `taxa` - the Set<Taxon> containing the taxa

## Method Details

### setName

public void setName(String name)
Description copied from interface: `Character`
set the name of the character

Specified by:
  `setName` in interface `Character`
Parameters:
  `name` - the name of the character

### getName

public String getName()
Description copied from interface: `Character`
return the name of the character

Specified by:
  `getName` in interface `Character`
Returns:
  the name of the character

### setDesc

public void setDesc(String desc)
Description copied from interface: `Character`
set the description of the character

Specified by:
  `setDesc` in interface `Character`
Parameters:
  `desc` - the description of the character

### getDesc

public String getDesc()
Description copied from interface: `Character`
return the description of the character

Specified by:
  `getDesc` in interface `Character`
Returns:
  the description of the character

### getType

public CharacterType getType()
Description copied from interface: `Character`
return the CharacterType of the character

Specified by:
  `getType` in interface `Character`
Returns:
  the CharacterType of the character

### addTaxa

public void addTaxa(Set<Taxon> taxa)
set the taxa for this character with a previously constructed Set<Taxon>

Parameters:
  `taxa` - a Set<Taxon> of the taxa containing this character

### addTaxon

public void addTaxon(Taxon taxon)
Description copied from interface: `Character`
add a taxon with this character

Specified by:
  `addTaxon` in interface `Character`
Parameters:
  `taxon` - the taxon to add containing the character

### getValue

public Object getValue(Taxon taxon)
Description copied from interface: `Character`
get a value for a taxon containing the character

Specified by:
  `getValue` in interface `Character`
Parameters:
  `taxon` - the taxon to get the value for
Returns:
  the Object value of the character for the given taxon

### getSE

public double getSE(Taxon taxon)

Parameters:
  `taxon` - the taxon for which to get the standard error
Returns:
  double of the standard error for the taxon

### getTaxa

public Set<Taxon> getTaxa()
Description copied from interface: `Character`
get a Set<Taxon> of all the taxa for this character

Specified by:
  `getTaxa` in interface `Character`
Returns:
  a Set<Taxon> containing all of the taxa for this character